# Class Parser

Master class of Thelia's parser. The loop mechanism depends of this parser

From this class all the parser is lunch

  Thelia\Core\Template\Parser implements Thelia\Core\Template\ParserInterface

Namespace: Thelia\Core\Template
Author: Manuel Raynaud <mraynaud@openstudio.fr>
Located at core/lib/Thelia/Core/Template/Parser.php

Methods summary
`public` | # `__construct( Symfony\Component\DependencyInjection\ContainerInterface $container )` #### Parameters $container `type` $container public function __construct(ContainerBuilder $container)
`public Symfony\Component\HttpFoundation\Request` | # `getRequest( )` #### Returns `Symfony\Component\HttpFoundation\Request`
`public Symfony\Component\EventDispatcher\EventDispatcher` | # `getDispatcher( )` #### Returns `Symfony\Component\EventDispatcher\EventDispatcher`
`public` | # `getContent( )` This method must return a Symfony\Component\HttpFoudation\Response instance or the content of the response #### Implementation of `Thelia\Core\Template\ParserInterface::getContent()`
`public` | # `setContent( string|Symfony\Component\HttpFoundation\Response $content )` set $content with the body of the response or the Response object directly #### Parameters $content `string|Symfony\Component\HttpFoundation\Response` $content #### Implementation of `Thelia\Core\Template\ParserInterface::setContent()`
`public type` | # `getStatus( )` #### Returns `type` the status of the response #### Implementation of `Thelia\Core\Template\ParserInterface::getStatus()`
`public` | # `setStatus( integer $status )` status HTTP of the response #### Parameters $status `integer` $status #### Implementation of `Thelia\Core\Template\ParserInterface::setStatus()`
`public` | # `loadParser( )` Main parser function, load the parser Main parser function, load the parser
`protected` | # `openFile( Symfony\Component\HttpFoundation\Request $request )`

Constants summary
`string` | `PREFIXE` | `'prx'` | #
`boolean` | `SHOW_TIME` | `true` | #
`boolean` | `ALLOW_DEBUG` | `true` | #
`boolean` | `USE_CACHE` | `true` | #

Properties summary
`protected Symfony\Component\DependencyInjection\ContainerInterface` | $container | `` | #
`protected mixed` | $content | `` | #
`protected integer` | $status | `200` | #
`protected `Thelia\Tpex\Tpex`` | $tpex | `` | #
`protected string` | $template | `"default"` | #